net.sf.jasperreports.engine.util

## Class DeduplicableRegistry

- java.lang.Object
- - net.sf.jasperreports.engine.util.DeduplicableRegistry

-     public class DeduplicableRegistry
      extends java.lang.Object

  A registry of deduplicable objects.
  Version:
    $Id: DeduplicableRegistry.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DeduplicableRegistry.DeduplicableMap<T extends Deduplicable>`
    `protected static class` | `DeduplicableRegistry.DeduplicableWrapper<T extends Deduplicable>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeduplicableRegistry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T extends Deduplicable> T` | `deduplicate(T object)` Search for a duplicate of a given object in the registry, and add the object to the registry if no duplicate found.
    `protected <T extends Deduplicable> DeduplicableRegistry.DeduplicableMap<T>` | `typeMap(T object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeduplicableRegistry

          public DeduplicableRegistry()

  - ### Method Detail

    - #### deduplicate

          public <T extends Deduplicable> T deduplicate(T object)

      Search for a duplicate of a given object in the registry, and add the object to the registry if no duplicate found.
      Parameters:
        `object` - the object to be searched or added
      Returns:
        a duplicate of the object if found, or the passed object if not

    - #### typeMap

          protected <T extends Deduplicable> DeduplicableRegistry.DeduplicableMap<T> typeMap(T object)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com